Beta

ITS Security Warning: Don’t Use Internet Explorer

Screen Shot 2014-04-28 at 4.59.18 PM

Yale ITS sent out an email today at 4:15pm. The first line read: “malicious websites have recently begun exploiting a new unpatched vulnerability in all versions of Internet Explorer (IE).”

If you’re still using Internet Explorer, then you’ve already been fully exploited. You should sign off America Online Instant Messenger, close your MySpace, and change your Friendster password ASAP.